[arch-commits] Commit in blender/repos (5 files)

Ionut Biru ibiru at archlinux.org
Sat Nov 12 12:15:07 EST 2011


    Date: Saturday, November 12, 2011 @ 12:15:07
  Author: ibiru
Revision: 142616

db-move: moved blender from [testing] to [extra] (x86_64)

Added:
  blender/repos/extra-x86_64/PKGBUILD
    (from rev 142606, blender/repos/testing-x86_64/PKGBUILD)
  blender/repos/extra-x86_64/blender.install
    (from rev 142606, blender/repos/testing-x86_64/blender.install)
Deleted:
  blender/repos/extra-x86_64/PKGBUILD
  blender/repos/extra-x86_64/blender.install
  blender/repos/testing-x86_64/

-----------------+
 PKGBUILD        |  186 +++++++++++++++++++++++++++---------------------------
 blender.install |   26 +++----
 2 files changed, 106 insertions(+), 106 deletions(-)

Deleted: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2011-11-12 17:15:05 UTC (rev 142615)
+++ extra-x86_64/PKGBUILD	2011-11-12 17:15:07 UTC (rev 142616)
@@ -1,93 +0,0 @@
-# $Id$
-# Contributor: John Sowiak <john at archlinux.org>
-# Maintainer: tobias <tobias at archlinux.org>
-
-# Apparently, the blender guys refuse to release source tarballs for
-# intermediate releases that deal mainly with binaries but incorporate tiny
-# minor changes from svn. Since I'm sick and tired of the urges of users that
-# look for release numbers only, we make a messy PKGBUILD that can checkout svn
-# release if necessary.
-
-#_svn=true
-_svn=false
-
-pkgname=blender
-pkgver=2.60a
-pkgrel=1
-epoch=3
-pkgdesc="A fully integrated 3D graphics creation suite"
-arch=('i686' 'x86_64')
-license=('GPL')
-url="http://www.blender.org"
-depends=('libpng' 'libtiff' 'openexr' 'python' 'desktop-file-utils' \
-         'shared-mime-info' 'hicolor-icon-theme' 'xdg-utils' 'glew' \
-         'freetype2' 'openal' 'libsndfile' 'ffmpeg')
-makedepends=('cmake')
-install=blender.install
-if [ $_svn = false ]; then
-  source=(http://download.blender.org/source/$pkgname-$pkgver.tar.gz)
-  md5sums=('cc7e4a56c9f7941c33c958ff0338f9a6')
-else
-  source=(ftp://ftp.archlinux.org/other/${pkgname}/$pkgname-$pkgver.tar.xz)
-  md5sums=('7579d1139d0d6025df8afcfca64a65c4')
-fi
-
-# source PKGBUILD && mksource
-mksource() {
-  [[ -x /usr/bin/svn ]] || (echo "svn not found. Install subversion." && return 1)
-  _svnver=38016
-  _svntrunk="https://svn.blender.org/svnroot/bf-blender/trunk/blender"
-  _svnmod="$pkgname-$pkgver"
-  mkdir ${pkgname}-$pkgver
-  pushd ${pkgname}-$pkgver
-  svn co $_svntrunk --config-dir ./ -r $_svnver $_svnmod
-  find . -depth -type d -name .svn -exec rm -rf {} \;
-  tar -cJf ../${pkgname}-$pkgver.tar.xz ${pkgname}-$pkgver/*
-  popd
-}
-
-build() {
-  cd "$srcdir/$pkgname-$pkgver"
-  mkdir build
-  cd build
-
-  [[ $CARCH == i686 ]] && ENABLESSE2="-DSUPPORT_SSE2_BUILD:BOOL=OFF"
-
-  cmake .. \
-    -DCMAKE_INSTALL_PREFIX:PATH=/usr \
-    -DCMAKE_BUILD_TYPE:STRING=Release \
-    -DWITH_INSTALL_PORTABLE:BOOL=OFF \
-    -DWITH_PYTHON_INSTALL:BOOL=OFF \
-    -DWITH_OPENCOLLADA:BOOL=OFF \
-    -DWITH_GAMEENGINE:BOOL=ON \
-    -DWITH_PLAYER:BOOL=ON \
-    -DWITH_BUILTIN_GLEW:BOOL=OFF \
-    -DWITH_CODEC_FFMPEG:BOOL=ON \
-    -DWITH_CODEC_SNDFILE:BOOL=ON \
-    -DPYTHON_VERSION:STRING=3.2 \
-    -DPYTHON_LIBPATH:STRING=/usr/lib \
-    -DPYTHON_LIBRARY:STRING=python3.2mu \
-    -DPYTHON_INCLUDE_DIRS:STRING=/usr/include/python3.2mu \
-    $ENABLESSE2
-
-  make $MAKEFLAGS
-
-  cp -rf "$srcdir"/${pkgname}-$pkgver/release/plugins/* \
-    "$srcdir"/${pkgname}-$pkgver/source/blender/blenpluginapi/
-  cd "$srcdir"/${pkgname}-$pkgver/source/blender/blenpluginapi
-  chmod 755 bmake
-  make
-}
-
-package() {
-  cd "$srcdir/$pkgname-$pkgver/build"
-  make DESTDIR="${pkgdir}" install
-  python -m compileall "${pkgdir}/usr/share/blender"
-
-# install plugins
-  install -d -m755 "$pkgdir"/usr/share/blender/${pkgver%[a-z]}/plugins/{sequence,texture}
-  cp "$srcdir"/${pkgname}-$pkgver/source/blender/blenpluginapi/sequence/*.so \
-    "$pkgdir"/usr/share/blender/${pkgver%[a-z]}/plugins/sequence/
-  cp "$srcdir"/${pkgname}-$pkgver/source/blender/blenpluginapi/texture/*.so \
-    "$pkgdir"/usr/share/blender/${pkgver%[a-z]}/plugins/texture/
-}

Copied: blender/repos/extra-x86_64/PKGBUILD (from rev 142606, blender/repos/testing-x86_64/PKGBUILD)
===================================================================
--- extra-x86_64/PKGBUILD	                        (rev 0)
+++ extra-x86_64/PKGBUILD	2011-11-12 17:15:07 UTC (rev 142616)
@@ -0,0 +1,93 @@
+# $Id$
+# Contributor: John Sowiak <john at archlinux.org>
+# Maintainer: tobias <tobias at archlinux.org>
+
+# Apparently, the blender guys refuse to release source tarballs for
+# intermediate releases that deal mainly with binaries but incorporate tiny
+# minor changes from svn. Since I'm sick and tired of the urges of users that
+# look for release numbers only, we make a messy PKGBUILD that can checkout svn
+# release if necessary.
+
+#_svn=true
+_svn=false
+
+pkgname=blender
+pkgver=2.60a
+pkgrel=2
+epoch=3
+pkgdesc="A fully integrated 3D graphics creation suite"
+arch=('i686' 'x86_64')
+license=('GPL')
+url="http://www.blender.org"
+depends=('libpng' 'libtiff' 'openexr' 'python' 'desktop-file-utils' \
+         'shared-mime-info' 'hicolor-icon-theme' 'xdg-utils' 'glew' \
+         'freetype2' 'openal' 'libsndfile' 'ffmpeg')
+makedepends=('cmake')
+install=blender.install
+if [ $_svn = false ]; then
+  source=(http://download.blender.org/source/$pkgname-$pkgver.tar.gz)
+  md5sums=('cc7e4a56c9f7941c33c958ff0338f9a6')
+else
+  source=(ftp://ftp.archlinux.org/other/${pkgname}/$pkgname-$pkgver.tar.xz)
+  md5sums=('7579d1139d0d6025df8afcfca64a65c4')
+fi
+
+# source PKGBUILD && mksource
+mksource() {
+  [[ -x /usr/bin/svn ]] || (echo "svn not found. Install subversion." && return 1)
+  _svnver=38016
+  _svntrunk="https://svn.blender.org/svnroot/bf-blender/trunk/blender"
+  _svnmod="$pkgname-$pkgver"
+  mkdir ${pkgname}-$pkgver
+  pushd ${pkgname}-$pkgver
+  svn co $_svntrunk --config-dir ./ -r $_svnver $_svnmod
+  find . -depth -type d -name .svn -exec rm -rf {} \;
+  tar -cJf ../${pkgname}-$pkgver.tar.xz ${pkgname}-$pkgver/*
+  popd
+}
+
+build() {
+  cd "$srcdir/$pkgname-$pkgver"
+  mkdir build
+  cd build
+
+  [[ $CARCH == i686 ]] && ENABLESSE2="-DSUPPORT_SSE2_BUILD:BOOL=OFF"
+
+  cmake .. \
+    -DCMAKE_INSTALL_PREFIX:PATH=/usr \
+    -DCMAKE_BUILD_TYPE:STRING=Release \
+    -DWITH_INSTALL_PORTABLE:BOOL=OFF \
+    -DWITH_PYTHON_INSTALL:BOOL=OFF \
+    -DWITH_OPENCOLLADA:BOOL=OFF \
+    -DWITH_GAMEENGINE:BOOL=ON \
+    -DWITH_PLAYER:BOOL=ON \
+    -DWITH_BUILTIN_GLEW:BOOL=OFF \
+    -DWITH_CODEC_FFMPEG:BOOL=ON \
+    -DWITH_CODEC_SNDFILE:BOOL=ON \
+    -DPYTHON_VERSION:STRING=3.2 \
+    -DPYTHON_LIBPATH:STRING=/usr/lib \
+    -DPYTHON_LIBRARY:STRING=python3.2mu \
+    -DPYTHON_INCLUDE_DIRS:STRING=/usr/include/python3.2mu \
+    $ENABLESSE2
+
+  make $MAKEFLAGS
+
+  cp -rf "$srcdir"/${pkgname}-$pkgver/release/plugins/* \
+    "$srcdir"/${pkgname}-$pkgver/source/blender/blenpluginapi/
+  cd "$srcdir"/${pkgname}-$pkgver/source/blender/blenpluginapi
+  chmod 755 bmake
+  make
+}
+
+package() {
+  cd "$srcdir/$pkgname-$pkgver/build"
+  make DESTDIR="${pkgdir}" install
+  python -m compileall "${pkgdir}/usr/share/blender"
+
+# install plugins
+  install -d -m755 "$pkgdir"/usr/share/blender/${pkgver%[a-z]}/plugins/{sequence,texture}
+  cp "$srcdir"/${pkgname}-$pkgver/source/blender/blenpluginapi/sequence/*.so \
+    "$pkgdir"/usr/share/blender/${pkgver%[a-z]}/plugins/sequence/
+  cp "$srcdir"/${pkgname}-$pkgver/source/blender/blenpluginapi/texture/*.so \
+    "$pkgdir"/usr/share/blender/${pkgver%[a-z]}/plugins/texture/
+}

Deleted: extra-x86_64/blender.install
===================================================================
--- extra-x86_64/blender.install	2011-11-12 17:15:05 UTC (rev 142615)
+++ extra-x86_64/blender.install	2011-11-12 17:15:07 UTC (rev 142616)
@@ -1,13 +0,0 @@
-post_install() {
-  update-desktop-database -q
-  update-mime-database usr/share/mime &> /dev/null
-  xdg-icon-resource forceupdate --theme hicolor &> /dev/null
-}
-
-post_upgrade() {
-  post_install
-}
-
-post_remove() {
-  post_install
-}

Copied: blender/repos/extra-x86_64/blender.install (from rev 142606, blender/repos/testing-x86_64/blender.install)
===================================================================
--- extra-x86_64/blender.install	                        (rev 0)
+++ extra-x86_64/blender.install	2011-11-12 17:15:07 UTC (rev 142616)
@@ -0,0 +1,13 @@
+post_install() {
+  update-desktop-database -q
+  update-mime-database usr/share/mime &> /dev/null
+  xdg-icon-resource forceupdate --theme hicolor &> /dev/null
+}
+
+post_upgrade() {
+  post_install
+}
+
+post_remove() {
+  post_install
+}



More information about the arch-commits mailing list